Problem making nco-4.4.0

Help
shivali
2014-01-13
2014-01-16
  • shivali
    shivali
    2014-01-13

    error coming with ncap_yacc.c ... Please help

    xlc -DHAVE_CONFIG_H -I. -I../.. -I/usr/vacpp/include -I/gpfs1/home/shivali/NCO/netcdf-4.3.0/include -I/gpfs1/home/shivali/hdf5-1.8.12/include -I/gpfs1/home/shivali/fresh/zlib/1.2.3/include -I/gpfs1/home/shivali/NCO/netcdf-4.3.0/include -I/usr/include -I/usr/bin -I/usr/ccs/bin -I/usr/vacpp/include -I/gpfs1/home/shivali/NCO/netcdf-4.3.0/include -I/gpfs1/software/udunits-2.1.23/include -I/gpfs1/home/shivali/NCO/gsl-1.16/include/gsl -I/gpfs1/home/shivali/NCO/gsl-1.16 -I/gpfs1/home/shivali/NCO/gsl-1.16/gsl-config -I/gpfs1/software/antlr-2.7.7/include -I/gpfs1/software/antlr-2.7.7/include -I/gpfs1/software/udunits-2.1.23/include -g -O3 -g -qstrict -Q -qsmp=omp -qlanglvl=extc99 -qmaxmem=8192 -qspill=2048 -q64 -O3 -g -qstrict -Q -qsmp=omp -qlanglvl=extc99 -qmaxmem=8192 -qspill=2048 -q64 -c ncap.c
    1506-1354 (W) Option -qsmp should be used with option -qthreaded.
    1500-030: (I) INFORMATION: main: Additional optimization may be attained by recompiling and specifying MAXMEM option with a value greater than 8192.
    test -f ncap_yacc.c || /bin/sh ../../autobld/ylwrap ncap_yacc.y y.tab.c ncap_yacc.c y.tab.h echo ncap_yacc.c | sed -e s/cc$/hh/ -e s/cpp$/hpp/ -e s/cxx$/hxx/ -e s/c++$/h++/ -e s/c$/h/ y.output ncap_yacc.output -- /usr/bin/bison -d --name-prefix=nco_yy
    gmake[3]: [ncap_yacc.c] Error 1
    gmake[3]: Leaving directory /gpfs1/home/shivali/NCO/nco-4.4.0/src/nco' gmake[2]: *** [all-recursive] Error 1 gmake[2]: Leaving directory/gpfs1/home/shivali/NCO/nco-4.4.0/src'
    gmake[1]:
    [all-recursive] Error 1
    gmake[1]: Leaving directory `/gpfs1/home/shivali/NCO/nco-4.4.0'
    gmake: *** [all] Error 2
    [ncmr0102][/gpfs1/home/shivali/NCO/nco-4.4.0]>

     
  • Charlie Zender
    Charlie Zender
    2014-01-13

    Make sure /usr/bin/bison is installed. It's also possible that ylwrap needs to be updated. Would please find the latest version of that on the web and copy it
    over autobld/ylwrap and see if that fixes the problem and let us know.
    cz

     
    • shivali
      shivali
      2014-01-15

      Hello,

      I tried with xlwrap 2012 version but issue is still the same

      we have following versions od bison and xlwrap on AIX - 5.3

      [ncmr0102][/gpfs1/home/shivali/NCO]> rm -rf nco-4.4.0
      [ncmr0102][/gpfs1/home/shivali/NCO]> bison --version
      bison (GNU Bison) 1.875
      Written by Robert Corbett and Richard Stallman.

      Copyright (C) 2002 Free Software Foundation, Inc.
      This is free software; see the source for copying conditions. There is NO
      warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
      [ncmr0102][/gpfs1/home/shivali/NCO]> ylwrap.2012 --version
      ylwrap 2012-12-21.17
      [ncmr0102][/gpfs1/home/shivali/NCO]>

      Regards,
      Shivali

       
  • shivali
    shivali
    2014-01-15

    Hello,

    I am configureing nco-4.4.0 like -

    [ncmr0102][/gpfs1/home/shivali/NCO/nco-4.4.0/src/nco]> ./configure --prefix=/gpfs1/home/shivali/NCO/nco-4.4.0 NETCDF_INC="/gpfs1/home/shivali/NCO/netcdf-4.3.0/include" NETCDF_LIB="/gpfs1/home/shivali/NCO/netcdf-4.3.0/lib" NETCDF4_ROOT="/gpfs1/home/shivali/NCO/netcdf-4.3.0" CPPFLAGS="-I/usr/include -I/usr/bin -I/usr/ccs/bin -I/usr/vacpp/include -I/gpfs1/home/shivali/NCO/netcdf-4.3.0/include -I/gpfs1/software/udunits-2.1.23/include -I/gpfs1/home/shivali/NCO/gsl-1.16/include/gsl -I/gpfs1/home/shivali/NCO/gsl-1.16 -I/gpfs1/home/shivali/NCO/gsl-1.16/gsl-config -I/gpfs1/software/antlr-2.7.7/include" CPP="xlc -E" CC="xlc" CFLAGS="-g -O3 -g -qstrict -Q -qsmp=omp -qlanglvl=extc99 -qmaxmem=8192 -qspill=2048 -q64" AR_FLAGS="cru" LDFLAGS="-L/gpfs1/home/shivali/NCO/netcdf-4.3.0/lib -L/gpfs1/software/udunits-2.1.23/lib -L/gpfs1/home/shivali/NCO/gsl-1.16/lib" ANTLR_ROOT="/gpfs1/software/antlr-2.7.7" UDUNITS2_PATH="/gpfs1/software/udunits-2.1.23" YACC="/gpfs1/home/shivali/NCO/bison-2.7/bin/bison"
    [ncmr0102][/gpfs1/home/shivali/NCO/nco-4.4.0/src/nco]>

    also installed /gpfs1/home/shivali/NCO/bison-2.7/bin/bison (bison -2.7 )

    but still getting same error

    please help

    Regards,
    Shivali

     
  • Charlie Zender
    Charlie Zender
    2014-01-16

    Shivali, I am sorry to hear of your problems building NCO on AIX. AIX is a rare architecture these days and we have no access to it and are unable to replicate your reported difficulties. I've looked at your error message and am unable to discern what the problem may be. Sorry.
    cz